"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const cli_ux_1 = require("cli-ux");
const root_command_1 = tslib_1.__importDefault(require("./root-command"));
class WithoutPassphrase extends root_command_1.default {
}
WithoutPassphrase.flags = Object.assign({}, root_command_1.default.flags);
WithoutPassphrase.SERVICE_NAME = 'EthWallet';
exports.WithoutPassphrase = WithoutPassphrase;
class WithPassphrase extends WithoutPassphrase {
    async getPassphrase() {
        const { flags } = this.parse();
        if (flags.passphrase)
            return flags.passphrase;
        return cli_ux_1.cli.prompt('Type the passphrase', { type: 'hide' });
    }
}
WithPassphrase.flags = Object.assign({}, WithoutPassphrase.flags, { passphrase: command_1.flags.string({
        description: 'Passphrase of the account'
    }) });
exports.WithPassphrase = WithPassphrase;
