"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountCreate extends account_command_1.WithPassphrase {
    async run() {
        const passphrase = await this.getPassphrase();
        this.spinner.start('Creating account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'create',
            inputs: {
                passphrase
            }
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountCreate.description = 'Create an account';
AccountCreate.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
exports.default = AccountCreate;
