"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountDelete extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountDelete);
        const passphrase = await this.getPassphrase();
        this.spinner.start('Deleting account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'delete',
            inputs: {
                address: args.ADDRESS,
                passphrase
            }
        });
        this.spinner.stop();
        return data;
    }
}
AccountDelete.description = 'Delete an account';
AccountDelete.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
AccountDelete.args = [{
        name: 'ADDRESS',
        required: true
    }];
exports.default = AccountDelete;
