"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const account_command_1 = require("../../account-command");
class AccountImport extends account_command_1.WithPassphrase {
    async run() {
        const { args } = this.parse(AccountImport);
        const passphrase = await this.getPassphrase();
        this.spinner.start('Importing account');
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithPassphrase.SERVICE_NAME),
            taskKey: 'import',
            inputs: {
                account: JSON.parse(args.ACCOUNT),
                passphrase,
            }
        });
        this.spinner.stop(data.address);
        return data;
    }
}
AccountImport.description = 'Import an account';
AccountImport.flags = Object.assign({}, account_command_1.WithPassphrase.flags);
AccountImport.args = [{
        name: 'ACCOUNT',
        description: 'Account definition in JSON (could be retrieved with account:export)',
        required: true
    }];
exports.default = AccountImport;
