"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const account_command_1 = require("../../account-command");
class AccountList extends account_command_1.WithoutPassphrase {
    async run() {
        const { flags } = this.parse(AccountList);
        const data = await this.execute({
            instanceHash: await this.engineServiceInstance(account_command_1.WithoutPassphrase.SERVICE_NAME),
            taskKey: 'list'
        });
        cli_ux_1.cli.table(data.addresses, {
            address: { header: 'ADDRESS', get: (x) => x },
        }, Object.assign({ printLine: this.log }, flags));
        return data;
    }
}
AccountList.description = 'List accounts';
AccountList.flags = Object.assign({}, account_command_1.WithoutPassphrase.flags, cli_ux_1.cli.table.flags());
exports.default = AccountList;
