"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const docker_command_1 = tslib_1.__importDefault(require("../../docker-command"));
class Status extends docker_command_1.default {
    async run() {
        const { flags } = this.parse(Status);
        this.spinner.start('Engine is');
        const services = await this.listServices({ name: flags.name });
        if (services.length === 0) {
            this.spinner.stop('stopped');
            return 1 /* STOPPED */;
        }
        this.spinner.stop('started');
        return 0 /* STARTED */;
    }
}
Status.description = 'Get the Engine\'s status';
Status.flags = Object.assign({}, docker_command_1.default.flags);
exports.default = Status;
