"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class ProcessCreate extends root_command_1.default {
    async run() {
        const { args } = this.parse(ProcessCreate);
        this.spinner.start('Create process');
        const definition = JSON.parse(args.DEFINITION, function (key, value) {
            return key && key.match(/hash$/i) && value && typeof value === 'string'
                ? base58.decode(value)
                : value;
        });
        const resp = await this.api.process.create(definition);
        if (!resp.hash) {
            throw new Error('invalid response');
        }
        this.spinner.stop(base58.encode(resp.hash));
        return resp;
    }
}
ProcessCreate.description = 'Create a process';
ProcessCreate.flags = Object.assign({}, root_command_1.default.flags);
ProcessCreate.args = [{
        name: 'DEFINITION',
        required: true,
        description: 'Process\'s definition. Use process:compile first to build process definition'
    }];
exports.default = ProcessCreate;
