"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class ProcessDelete extends root_command_1.default {
    async run() {
        const { argv, flags } = this.parse(ProcessDelete);
        if (!flags.confirm && !await cli_ux_1.default.confirm('Are you sure?'))
            return [];
        this.spinner.start('Deleting process(s)');
        for (const hash of argv) {
            this.spinner.status = hash;
            await this.api.process.delete({ hash: base58.decode(hash) });
        }
        this.spinner.stop();
        return argv;
    }
}
ProcessDelete.description = 'Delete one or many processes';
ProcessDelete.flags = Object.assign({}, root_command_1.default.flags, { confirm: command_1.flags.boolean({ description: 'Confirm deletion', default: false }) });
ProcessDelete.strict = false;
ProcessDelete.args = [{
        name: 'PROCESS_HASH...',
        required: true,
    }];
exports.default = ProcessDelete;
