"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class ProcessList extends root_command_1.default {
    async run() {
        const { flags } = this.parse(ProcessList);
        const { processes } = await this.api.process.list({});
        if (!processes)
            return [];
        cli_ux_1.default.table(processes, {
            hash: { header: 'HASH', get: x => x.hash ? base58.encode(x.hash) : '' },
        }, Object.assign({ printLine: this.log }, flags));
        return processes;
    }
}
ProcessList.description = 'List processes';
ProcessList.flags = Object.assign({}, root_command_1.default.flags, cli_ux_1.default.table.flags());
exports.default = ProcessList;
