"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
const start_1 = tslib_1.__importDefault(require("./start"));
class ServiceCreate extends root_command_1.default {
    async run() {
        const { args, flags } = this.parse(ServiceCreate);
        this.spinner.start('Create service');
        const resp = await this.api.service.create(JSON.parse(args.DEFINITION));
        if (!resp.hash) {
            throw new Error('invalid response');
        }
        this.spinner.stop(base58.encode(resp.hash));
        if (flags.start) {
            this.spinner.start('Starting service');
            const start = await start_1.default.run([base58.encode(resp.hash)]);
            this.spinner.stop(start.hash);
        }
        return resp;
    }
}
ServiceCreate.description = 'Create a service';
ServiceCreate.flags = Object.assign({}, root_command_1.default.flags, { start: command_1.flags.boolean({
        description: 'Automatically start the service once created',
        default: false,
    }) });
ServiceCreate.args = [{
        name: 'DEFINITION',
        required: true,
        description: 'Service\'s definition. Use service:compile first to build service definition'
    }];
exports.default = ServiceCreate;
