"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
const service_resolver_1 = tslib_1.__importDefault(require("../../utils/service-resolver"));
class ServiceDetail extends root_command_1.default {
    async run() {
        const { args } = this.parse(ServiceDetail);
        const hash = await service_resolver_1.default(this.api, args.SERVICE_HASH);
        const response = await this.api.service.get({ hash });
        this.styledJSON(response);
        return response;
    }
}
ServiceDetail.description = 'Display detailed information on a service';
ServiceDetail.flags = Object.assign({}, root_command_1.default.flags);
ServiceDetail.args = [{
        name: 'SERVICE_HASH',
        required: true
    }];
exports.default = ServiceDetail;
