import { Service } from 'mesg-js/lib/api';
import { hash } from 'mesg-js/lib/api/types';
import Command from '../../root-command';
export default class ServiceDev extends Command {
    static description: string;
    static flags: {
        env: import("@oclif/command/lib/flags").IOptionFlag<string[]>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        start: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        description: string;
        default: string;
    }[];
    serviceCreated: boolean;
    instanceCreated: boolean;
    run(): Promise<void>;
    createService(definition: Service): Promise<hash>;
    startService(serviceHash: hash, env: string[]): Promise<hash>;
}
