/// <reference types="node" />
import { flags } from '@oclif/command';
import { Event, Execution } from 'mesg-js/lib/api';
import Command from '../../root-command';
export interface Log {
    dependency: string;
    data: Buffer;
}
export default class ServiceLogs extends Command {
    static description: string;
    static flags: {
        events: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        results: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        event: flags.IOptionFlag<string | undefined>;
        task: flags.IOptionFlag<string | undefined>;
        tail: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        follow: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: flags.IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        required: boolean;
    }[];
    private readonly docker;
    run(): Promise<{
        destroy: () => void;
    }>;
    formatEvent(event: Event): string | undefined;
    formatResult(execution: Execution): string | undefined;
}
