"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
const service_resolver_1 = tslib_1.__importDefault(require("../../utils/service-resolver"));
class ServiceStart extends root_command_1.default {
    async run() {
        const { args, flags } = this.parse(ServiceStart);
        this.spinner.start('Start instance');
        const serviceHash = await service_resolver_1.default(this.api, args.SERVICE_HASH);
        const instance = await this.api.instance.create({
            serviceHash,
            env: flags.env
        });
        if (!instance.hash)
            throw new Error('invalid instance');
        this.spinner.stop(base58.encode(instance.hash));
        return instance;
    }
}
ServiceStart.description = 'Start a service by creating a new instance';
ServiceStart.flags = Object.assign({}, root_command_1.default.flags, { env: command_1.flags.string({
        description: 'Set environment variables',
        multiple: true,
        helpValue: 'FOO=BAR'
    }) });
ServiceStart.args = [{
        name: 'SERVICE_HASH',
        required: true,
    }];
exports.default = ServiceStart;
