import { flags } from '@oclif/command';
import { Network } from 'node-docker-api/lib/network';
import Command from './root-command';
interface Event {
    Type: string;
    Action: string;
    from: string;
}
interface NetworkOption {
    name: string;
}
interface ListOption {
    name: string;
}
interface ServiceOption {
    name: string;
    format: string;
    level: string;
    colors: boolean;
    version: string;
}
export default abstract class extends Command {
    static flags: {
        name: flags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: flags.IOptionFlag<string | undefined>;
    };
    private readonly docker;
    listServices(options: ListOption): Promise<import("node-docker-api/lib/service").Service[]>;
    waitForEvent(matchFilter: (event: Event) => boolean): Promise<{}>;
    getOrCreateNetwork(options: NetworkOption): Promise<Network>;
    createService(network: Network, options: ServiceOption): Promise<import("node-docker-api/lib/service").Service>;
}
export {};
