import { Command, flags } from '@oclif/command';
import { IConfig } from '@oclif/config';
import { API, InfoOutputs } from 'mesg-js/lib/api';
import { hash } from 'mesg-js/lib/api/types';
export default abstract class extends Command {
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: flags.IOptionFlag<string | undefined>;
    };
    api: API;
    private readonly _app;
    constructor(argv: string[], config: IConfig);
    readonly spinner: import("cli-ux").ActionBase | {
        start: () => void;
        stop: (message?: string | undefined) => void | null;
        status: null;
    };
    log(message?: string, ...args: any[]): void;
    styledJSON(data: any): void;
    catch(err: Error): Promise<void>;
    execute(request: {
        instanceHash: hash;
        taskKey: string;
        inputs?: {
            [key: string]: any;
        };
        tags?: string[];
    }): Promise<{
        [key: string]: any;
    }>;
    info(): InfoOutputs;
    engineServiceInstance(key: string): Promise<hash>;
}
