"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
class IsAlreadyExistsError extends Error {
    constructor(error) {
        super(error.message);
        const res = IsAlreadyExistsError.regexp.exec(error.message);
        const hash = res && res.length >= 1 ? res[1] : '';
        this.hash = base58.decode(hash);
        this.name = IsAlreadyExistsError.ID;
    }
    static match(err) {
        return IsAlreadyExistsError.regexp.test(err.message);
    }
}
IsAlreadyExistsError.ID = 'ALREADY_EXISTS';
IsAlreadyExistsError.regexp = new RegExp('\"(.*)\" already exists');
exports.IsAlreadyExistsError = IsAlreadyExistsError;
