"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const resolve_1 = require("mesg-js/lib/util/resolve");
exports.default = async (api, sidOrHash) => {
    try {
        let hash;
        if (sidOrHash instanceof Uint8Array) {
            hash = sidOrHash;
        }
        else {
            hash = base58.decode(sidOrHash);
        }
        await api.instance.get({ hash });
        return hash;
    }
    catch (err) {
        if (typeof sidOrHash === 'string') {
            return resolve_1.resolveSID(api, sidOrHash);
        }
        throw err;
    }
};
