"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
exports.default = async (api, sidOrHash) => {
    try {
        let hash;
        if (sidOrHash instanceof Uint8Array) {
            hash = sidOrHash;
        }
        else {
            hash = base58.decode(sidOrHash);
        }
        await api.service.get({ hash });
        return hash;
    }
    catch (_a) {
        const { services } = await api.service.list({});
        const match = (services || []).filter(x => x.sid === sidOrHash);
        if (match.length === 0)
            throw new Error(`no service matching ${sidOrHash}`);
        if (match.length > 1)
            throw new Error(`multiple services matching ${sidOrHash}`);
        return match[0].hash;
    }
};
